#!/bin/sh

usage() {
    echo Usage: $0 '[run|build|watch|clean]'
}

if ! command -v tup >/dev/null; then
    echo Error: You need tup installed: http://gittup.org/tup/ >&2
    exit 1
fi

case $1 in
    run)
        $0 build >&2 || exit 1
        echo '' >&2  && ./Main
        ;;
    watch)
        tup monitor -f -a -j2 >&2
        ;;
    build)
        tup init 2>/dev/null
        tup >&2
        ;;
    clean)
        rm -f Main *.o *.hi IRC/*.o IRC/*.hi
        ;;
    *)
        usage
        ;;
esac
